Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class CustomData

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.CustomData

All Implemented Interfaces:
  ICustomData

public final class CustomData
extends java.lang.Object
implements ICustomData

The class used to create custom data for drag and drop/clipboard operations. This class implements `ICustomData` interface used within the transfer agent `CustomDataTransfer`

Constructor Summary
`CustomData(java.lang.String formatType, byte[] data)` Constructs a CustomData.

Method Summary
`byte[]` `getData()` Retrieves the data
`java.lang.String` `getFormatType()` Retrieves the format type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomData

    public CustomData(java.lang.String formatType,
                      byte[] data)

  Constructs a CustomData.

Parameters:
  `formatType` - data format as `String`
  `data` - attribute for the data

Method Detail

### getFormatType

    public java.lang.String getFormatType()

  Retrieves the format type

  Specified by:
    `getFormatType` in interface `ICustomData`
  Returns:
    the format type
  See Also:
    `ICustomData.getFormatType()`

### getData

    public byte[] getData()

  Retrieves the data

  Specified by:
    `getData` in interface `ICustomData`
  Returns:
    the data as bytes
  See Also:
    `ICustomData.getData()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.